import { transform } from '@babel/standalone';
import removeImports from 'babel-plugin-transform-remove-imports';
export function babelTransform(input, filename, opts) {
  if (opts === void 0) {
    opts = {};
  }

  var plugins = [...(opts.babelPlugins || [])];

  if (opts.removeImports) {
    plugins.push([removeImports, opts.removeImports]);
  }

  return transform(input, {
    filename,
    presets: ['env', 'es2015', 'react', 'typescript'],
    plugins: [...plugins]
  });
}
export var getTransformValue = (str, filename, funName, opts) => {
  try {
    var isReact = /import\x20+React(\x20+|[\x20+,]+({[a-zA-Z0-9,\s]+}|{})\x20+)from\x20+('|")react('|")/.test(str); // 先判断 是否引入 react

    var tran = isReact ? str : "import React from \"react\"\n " + str;
    /** 先把默认导出 export default 进行替换 **/

    var newCode = tran.replace(/export\x20+default/, 'const _default = ') + "\n";
    var tranCode = babelTransform(newCode, "" + filename, opts).code;
    var code = tranCode + "\n return _react[\"default\"].createElement(_default)";
    return "function " + funName + "(){\n" + code + "\n};";
  } catch (err) {
    console.warn(err);
  }
};
//# sourceMappingURL=transform.js.map