import React from 'react';
import { PluginItem } from '@babel/core';
import { Options as RIOptions } from 'babel-plugin-transform-remove-imports';
export * from './utils';
export declare type CodeBlockData = {
    source: string;
    components: Record<string | number, React.FC>;
    codeBlock: Record<string | number, string>;
    languages: Record<string | number, string>;
};
export declare type Options = {
    /**
     * Language to parse code blocks, default: `["jsx","tsx"]`
     */
    lang?: string[];
    /**
     * Option settings for the babel (babel-plugin-transform-remove-imports) package
     * https://github.com/uiwjs/babel-plugin-transform-remove-imports
     */
    removeImports?: RIOptions;
    /**
     * Add babel plugins.
     */
    babelPlugins?: PluginItem[];
};
export default function (source: string): string;
