"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.babelTransform = babelTransform;
exports.getTransformValue = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _standalone = require("@babel/standalone");

var _babelPluginTransformRemoveImports = _interopRequireDefault(require("babel-plugin-transform-remove-imports"));

function babelTransform(input, filename) {
  var opts = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var plugins = (0, _toConsumableArray2["default"])(opts.babelPlugins || []);

  if (opts.removeImports) {
    plugins.push([_babelPluginTransformRemoveImports["default"], opts.removeImports]);
  }

  return (0, _standalone.transform)(input, {
    filename: filename,
    presets: ['env', 'es2015', 'react', 'typescript'],
    plugins: (0, _toConsumableArray2["default"])(plugins)
  });
}

var getTransformValue = function getTransformValue(str, filename, funName, opts) {
  try {
    var isReact = /import\x20+React(\x20+|[\x20+,]+({[a-zA-Z0-9,\s]+}|{})\x20+)from\x20+('|")react('|")/.test(str); // 先判断 是否引入 react

    var tran = isReact ? str : "import React from \"react\"\n ".concat(str);
    /** 先把默认导出 export default 进行替换 **/

    var newCode = "".concat(tran.replace(/export\x20+default/, 'const _default = '), "\n");
    var tranCode = babelTransform(newCode, "".concat(filename), opts).code;
    var code = "".concat(tranCode, "\n return _react[\"default\"].createElement(_default)");
    return "function ".concat(funName, "(){\n").concat(code, "\n};");
  } catch (err) {
    console.warn(err);
  }
};

exports.getTransformValue = getTransformValue;
//# sourceMappingURL=transform.js.map